Subject: Re: bug#57856: 28.2; bookmark context strings in encrypted files

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Sep 2022 14:07:52 +0200

Gustavo Barros <[email-masked]> writes:

> It could be argued that it is unwise to set a bookmark in this
> context. But, well, users do all kind of stuff.  Besides, Emacs
> provides no hint that this may be risky (as far as I can tell).  So it
> would be nice if Emacs would be a little more conservative here, and
> locally set `bookmark-search-size' to 0 in buffers visiting encrypted
> files.

I think that makes sense.  Alternatively, we could prompt the user for
what to do in these files?

Anybody have any opinions?